# Registration Types Registration Types ## Creates a new registration type record that does not already exist. - [POST /registrationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/createregistrationtype.md): This method will auto-generate an ID and create a new registration type. If an ID is specified for the registration type, an error will be thrown. ## Execute Batch Operations - [POST /registrationTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Check Coupon Access - [GET /registrationTypes/{tenantId}/couponAccess/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/checkcouponaccess.md): Checks to see whether or not a person can access a registration type with a coupon ## Returns a list of records with the specified event_id - [GET /registrationTypes/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/listtypesbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of registration types for the specified contact - [GET /registrationTypes/{tenantId}/event/{event_id}/portal/{contact_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/getapplicabletypesforcontact.md): Returns a list of registration types for the specified contact ## Returns a list of records with the specified event_id - [GET /registrationTypes/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/listtypesbyeventidpublic.md): Returns a list of records with the specified event_id ## Returns a registration type from the system by its ID. - [DELETE /registrationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/deleteregistrationtype.md): This method will delete a registration type with the specified ID. ## Returns a registration type from the system by its ID. - [GET /registrationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/getregistrationtype.md): This method will look up a registration type by the specified ID and return it back. ## Partially updates a registration type with the specified ID. - [PATCH /registrationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/patchregistrationtype.md): This method will patch an existing registration type with the specified ID, using the HTTP PATCH specification. ## Updates a registration type with the specified ID. - [PUT /registrationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-types/updateregistrationtype.md): This method will update an existing registration type with the specified ID.